<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Authorization;

use Gls\GlsPoland\Soap\Client\Type\RequestInterface;

final class Login implements RequestInterface, \JsonSerializable
{
    private $user_name;
    private $user_password;

    public function __construct(string $username, string $password)
    {
        $this->user_name = $username;
        $this->user_password = $password;
    }

    public function __debugInfo(): array
    {
        return $this->jsonSerialize();
    }

    public function jsonSerialize(): array
    {
        return [
            'user_name' => $this->user_name,
        ];
    }
}
